// @import "./src/components/Wrapper/index";

@import url('https://fonts.googleapis.com/css2?family=Merriweather:ital,wght@0,300;0,400;0,700;0,900;1,300;1,400;1,700;1,900&family=PT+Sans:ital,wght@0,400;0,700;1,400;1,700&family=Playfair+Display:ital,wght@0,400;0,500;0,600;0,700;0,800;0,900;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Yanone+Kaffeesatz:wght@200;300;400;500;600;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Open+Sans+Condensed:ital,wght@0,300;0,700;1,300&family=PT+Serif:ital,wght@0,400;0,700;1,400;1,700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Rubik+Mono+One&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@100&family=Rubik+Mono+One&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Miniver&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Josefin+Sans:ital,wght@0,300;0,400;0,500;0,600;0,700;1,300;1,400;1,500;1,600;1,700&display=swap');

@import url('https://fonts.googleapis.com/css2?family=Caveat:wght@400;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Source+Sans+Pro&display=swap');

@import url('https://fonts.googleapis.com/css2?family=Space+Grotesk:wght@300;400;500;600;700&display=swap');


@import "./src/fonts/metropolis1920regular/_fonts.scss";
//@import "./src/fonts/сaviar/_fonts.scss";

$font-1: 'Caveat', cursive; // курсив
$font-2: 'Merriweather', serif; // закголовки на страницах + $size-2
$font-3: 'Source Sans Pro', sans-serif; // описание под заголовками + $size-text
$font-4: 'Yanone Kaffeesatz', sans-serif;

$font-5: 'Merriweather', serif;
$font-6: 'Playfair Display', serif;
$font-7: 'PT Serif', serif;
$font-8: 'PT Sans', sans-serif;
$font-9:  'Open Sans Condensed', sans-serif;
$font-10: 'Space Grotesk', sans-serif;

$maxWidth: 1200px;
$minWidth: 450px;
$paddings: 0 15px;

@mixin max-width-paddings {
  padding: $paddings;
  max-width: $maxWidth;
  margin: 0 auto;
}

$size-2: 2.5em;

$main-title-font: 'Metropolis 1920';
//$post-title-font: 'Yanone Kaffeesatz', sans-serif;
//
//$upper-title: 'Yanone Kaffeesatz', sans-serif;
//
$under-title: 'Yanone Kaffeesatz', sans-serif;
//
$button-text: 'Yanone Kaffeesatz', sans-serif;

$main-color-gold: rgba(201, 171, 129, 0.5);


$background: #0b1111;
$text-color: rgba(201, 171, 129, 0.69);
$text-color2: rgba(201, 171, 129, 0.20);
$text-color3: rgba(201, 171, 129, 0.05);
$white-color: white;
$black-color: black;


$menu-width: calc(6vh + 6vw);

$size-title: calc(1.7vh + 1.7vw);
$size-pading: calc(.8vh + .8vw);
$size-pading2: calc(1.2vh + 1.2vw);
$size-input: 2em;

$size-text: calc(1vh + 1vw);
$size-text-button: calc(.8vh + .8vw);
$size-text2: calc(1.2vh + 1.2vw);
$size-text3: 2.5em;
//$size-text3: calc(2.5vh + 2.5vw);
$size-text-small: .9em;
//$size-text-small: calc(.6vh + .6vw);
$size-text-noheight: 1.3vh;





@mixin title-text-1 {
  //font-family: $font-4!important;
  font-family: $font-10!important;
  font-size: $size-2!important;
  letter-spacing: 3px;
  text-align: center;
}

@mixin title-text-2 {
  //font-family: $font-3!important;
  font-family: $font-10!important;
  font-size: $size-pading!important;
  text-align: center;
}

@mixin title-text-3 {
  font-family: $font-1!important;
  font-size: $size-pading!important;
}

@mixin title-text-4 {
  font-family: $font-10!important;
  //font-family: $font-8!important;
  font-size: $size-input!important;
}

@mixin title-text-5 {
  font-family: $font-7!important;
  font-size: $size-text-small!important;
}

.wrapper {
  border-right: 1px solid $main-color-gold;
  border-left: 1px solid $main-color-gold;
  margin: 0 7%;
}

.underline{
  width: 30%;
  height: 2px;
  background-color: $main-color-gold;
  margin: 15px auto 30px;
  border-radius: 20px;
  overflow: hidden;
}

.overlay{

    position: fixed;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    z-index: 999;
    display: flex;
    background-color: rgba(0,0,0,0.8);
    align-items: center;

}
